/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */ import { NodeInput } from '@datashaper/workflow';
import { useDataTable } from '../hooks/index.js';
export function useStepDataTable(step, workflow, input, table) {
    return useDataTable(input || step.input[NodeInput.Source]?.node, workflow, table);
}
